Ruby 2.7.0p0(2019-12-25revision647ee6f091eafcce70ffb75ddf7e121e192ab217)

Data Structures | Typedefs | Functions
stret_large.c File Reference
`#include "ffitest.h"`

Go to the source code of this file.

## Data Structures
struct | struct_108byte

## Typedefs
typedef struct struct_108byte | struct_108byte

## Functions
struct_108byte | cls_struct_108byte_fn (struct_108byte b0, struct_108byte b1, struct_108byte b2, struct_108byte b3)
int | main (void)

## Typedef Documentation

## ◆ struct_108byte

typedef struct struct_108byte struct_108byte

## Function Documentation

## ◆ cls_struct_108byte_fn()

struct_108byte cls_struct_108byte_fn | ( | struct_108byte | b0,
|  | struct_108byte | b1,
|  | struct_108byte | b2,
|  | struct_108byte | b3
| ) |  |

Definition at line 32 of file stret_large.c.

Referenced by main().

## ◆ main()

int main | ( | void |  | ) |

Definition at line 75 of file stret_large.c.

References struct_108byte::a, struct_108byte::b, struct_108byte::c, CHECK, cls_struct_108byte_fn(), struct_108byte::d, struct_108byte::e, struct_108byte::f, ffi_call(), FFI_DEFAULT_ABI, ffi_prep_cif(), ffi_prep_closure_loc(), struct_108byte::g, struct_108byte::h, struct_108byte::i, struct_108byte::j, struct_108byte::k, struct_108byte::l, struct_108byte::m, struct_108byte::n, NULL, and printf().